
/*     *******************************************************************************
	XVisual GUI Development System for Linux/X-Window
	Copyright (C) 1996 Steve Carrie.

        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2 of the License, or
        (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
        ******************************************************************************* */

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xaw3d/Viewport.h>
#include <X11/xv/xvCore.h>
#include <X11/xv/xvView.h>

// -------------------------------------------

xvView::xvView()
{
	alloc=FALSE;
}

// -------------------------------------------

xvView::xvView(String name, xvCore & parent, Boolean manage,
			Boolean HScrollbar,  Boolean VScrollbar)
{
	init(name, parent, manage, HScrollbar, VScrollbar);
}

// -------------------------------------------

xvView::~xvView()
{
	if (alloc) XtDestroyWidget(w);
}

// -------------------------------------------

void xvView::init(String name, xvCore & parent, Boolean manage, 
	Boolean HScrollbar, Boolean VScrollbar)
{

	w=XtVaCreateWidget(name, viewportWidgetClass, parent.ID(),
		"allowVert", VScrollbar, "useRight", TRUE,
		"allowHoriz", HScrollbar, "useBottom", TRUE,
		NULL);
	
	if (manage) ManageChildren();
	alloc=TRUE;
}

// ------------------------------------------

void xvView::init(String name, Widget parent, Boolean manage, 
	Boolean HScrollbar, Boolean VScrollbar)
{

	w=XtVaCreateWidget(name, viewportWidgetClass, parent,
		"allowVert", VScrollbar, "useRight", TRUE,
		"allowHoriz", HScrollbar, "useBottom", TRUE,
		NULL);
	
	if (manage) ManageChildren();
	alloc=TRUE;
}

// ------------------------------------------

void xvView::ManageChildren(Boolean manage)
{

	if (manage)
		XtManageChild(w);
	else
		XtUnmanageChild(w);
}

// ------------------------------------------
