
/*     *******************************************************************************
	XVisual GUI Development System for Linux/X-Window
	Copyright (C) 1996 Steve Carrie.

        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2 of the License, or
        (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
        ******************************************************************************* */

/* =============================================
	xvis user interface builder for Athena widgets using
	xv class library.

	Font Segment

	V1.0BETA  - last edited 25/06/96
    ============================================= */

// ---------------------------------------------
// Include file declarations

#include "xvis.h"
#include <string.h>
#include <stdio.h>

// ---------------------------------------------
// local forward function declares


// --------------------------------------------
// Callbacks

void func_fontcancel_call(Widget aw, XtPointer client, XtPointer call)
{
	xvisFonts.Close();
}

void func_fontlist_call(Widget aw, XtPointer client, XtPointer call)
{
	XawListReturnStruct *val=(XawListReturnStruct *) call;
	strcpy(propeditbuffer, val->string);
	fontfont.FLoadFont(propeditbuffer);
	fontexample.SetResource(XtNfont, (XtArgVal) fontfont.FontRef());
}

//---------------------------------------------
// Local Stuff

void buildFontsWindow(XtCallbackProc confirm)
{
	xvisFonts.init("Fontlist", xvisControl);
	
	fontform.init("Formform", xvisFonts);
	fontform.SetBackground("gray85");

	fontview.init("Fontview", fontform, TRUE, FALSE, TRUE);
	fontview.SetFixedPosition(TRUE);
		
	fontlist.init("Fontlist", fontview, func_fontlist_call, 
		masterfontlist.FontsInList(), masterfontlist.GetList(), 1);
	fontlist.SetWidth(fontlist.GetLongest()+20);
	fontlist.SetHeight(200);
	fontlist.SetFixedPosition(TRUE);

	fontexample.init("ABCDEFGHIJKLabcdefghijkl1234567890", fontform);
	fontexample.SetWidth(fontlist.GetWidth());
	fontexample.SetRelVertical(fontview);
	fontexample.SetHeight(50);
	fontexample.SetFixedPosition(TRUE);

	int w=fontlist.GetWidth()/2;

	fontok.init("OK", fontform, confirm);
	fontok.SetRelVertical(fontexample);
	fontok.SetWidth(60);
	fontok.SetHorizDistance(w-90);
	fontok.SetFixedPosition(TRUE);
	fontok.SetBeNiceToColormap(FALSE);

	fontcancel.init("Cancel", fontform, func_fontcancel_call);
	fontcancel.SetRelVertical(fontexample);
	fontcancel.SetWidth(60);
	fontcancel.SetHorizDistance(w+30);	 
	fontcancel.SetFixedPosition(TRUE);
	fontcancel.SetBeNiceToColormap(FALSE);
}

// ---------------------------------

		